com::lomiri::location::Provider::Updates Struct Reference

Wraps all updates that can be delivered by a provider. More...

`#include <provider.h>`

Collaboration diagram for com::lomiri::location::Provider::Updates:

## Public Attributes

core::Signal< Update< Position > > | position
core::Signal< Update< Heading > > | heading
core::Signal< Update< Velocity > > | velocity
core::Signal< Update< std::set< SpaceVehicle > > > | svs

## Detailed Description

Wraps all updates that can be delivered by a provider.

Definition at line 163 of file provider.h.

## Member Data Documentation

## heading

core::Signal<Update<Heading> > com::lomiri::location::Provider::Updates::heading

Heading updates.

Definition at line 168 of file provider.h.

## position

core::Signal<Update<Position> > com::lomiri::location::Provider::Updates::position

Position updates.

Definition at line 166 of file provider.h.

## svs

core::Signal<Update<std::set<SpaceVehicle> > > com::lomiri::location::Provider::Updates::svs

Space vehicle visibility updates.

Definition at line 172 of file provider.h.

## velocity

core::Signal<Update<Velocity> > com::lomiri::location::Provider::Updates::velocity

Velocity updates.

Definition at line 170 of file provider.h.

The documentation for this struct was generated from the following file:

- provider.h